<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Gestión de empleados</title>
    <link href="../styles/style.css" >
    <style>
      @import url('https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,700&display=swap');
      * {
        margin: 0;
        padding: 0;
        background-color: #f6f6f6;
        color: #333333;
      }
      .main {
        text-align: center;
        display: flex;
      }
      .table-container {
        flex: auto;

      }
      .table {
        padding: 2%;
      }
      th {
        background-color: #215e7a;
        padding: 10px 15px;
        color: #f2f2f2;
        font-family: 'Open Sans Condensed', sans-serif, bold;
      }
      td {
        padding: 5px 10px;
        border-bottom: 1px solid black;
        font-family: 'Open Sans Condensed', sans-serif;
      }
      .form-container {
        flex: auto;
        position: sticky;
        flex-flow:row wrap;
        justify-content: center;
        align-content: center;
      }
        .form {
          font-family: 'Open Sans Condensed', sans-serif;
          font-size: 1em;
          padding: 2%;
        }
        fieldset {
          border: 3px solid #215e7a;
          border-radius: 7px;
        }
          .form-group {
            text-align: left;
            padding: 10px;
          }
          legend {
            font-family: 'Open Sans Condensed', sans-serif, bold;
            font-size: 1.5em;
          }
          .campos-form {
            padding: 5%;
          }
            input {
              color: #215e7a;
              border: none;
              border-bottom: 1px solid #215e7a;
              background: none;
              outline: none
            }
              .send-button {
                color: #f2f2f2;
                margin-top: 3%;
                padding: 3%;
                background-color: #215e7a;
                border-radius: 7px;
                font-size: 0.8em;
              }
      @media screen and (max-width: 1100px) {
        .main {
          display: block;
        }
      }
    </style>
  </head>
  <body>

    <div class="main">
      <div class="table-container">
        <table class="table">

          <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Apellidos</th>
            <th>Fecha de nacimiento</th>
            <th>Sexo</th>
            <th>Departamento</th>
            <th>Fecha contratación</th>
          </tr>

          <% for (var i = 0; i < form.length; i ++) { %>
            <tr>
              <td><%= form[i].ID_empleado %></td>
              <td><%= form[i].Nombre %></td>
              <td><%= form[i].Apellidos %></td>
              <td><%= form[i].FechaNacimiento.toDateString() %></td>
              <td><%= form[i].Sexo %></td>
              <td><%= form[i].Departamento %></td>
              <td><%= form[i].FechaContratación.toDateString() %></td>
            </tr>
          <% } %>
        </table>
      </div>

      <div class="form-container">
        <form    action="/new-empleado" class="form" method="POST">
          <fieldset>
            <legend>Añadir un nuevo empleado a la plantilla</legend>
            <div class="campos-form">

          <div class="form-group">
            <input name="Nombre" type="text" class="form-control" placeholder="Nombre">
          </div>
          <div class="form-group">
            <input name="Apellidos" type="text" class="form-control" placeholder="Apellidos">
          </div>
          <div class="form-group">
            <input name="FechaNacimiento" type="date" class="form-control">
          </div>
          <div class="form-group">
            <input name="Sexo" type="radio" value="Mujer" class="form-control">Mujer
            <input name="Sexo" type="radio" value="Hombre" class="form-control">Hombre
          </div>
          <div class="form-group">
           <p>Indica el departamento al que se unirá el nuevo empleado:</p>
            <select name="Departamento">
            <option value=" Administración"> Administración</option>
              <option value="Ventas">Ventas</option>
              <option value="Márketing">Márketing</option>
              <option value="Tecnología">Tecnología</option>
            </select>
          </div>
          <div class="form-group">
            <input name="FechaContratación" type="date" class="form-control">
          </div>
          <input type="submit" class="send-button" value="Incluir en el equipo">
            </div>
          </fieldset>
        </form>
      </div>
    </div>
  </body>
</html>
